Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.entity
Class CategoryItemEntity

    java.lang.Object
      org.jfree.chart.entity.ChartEntity
          org.jfree.chart.entity.CategoryItemEntity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.jfree.util.PublicCloneable

    public class CategoryItemEntity

extends ChartEntity
implements java.lang.Cloneable, java.io.Serializable

A chart entity that represents one item within a category plot.

See Also:
  Serialized Form

Constructor Summary
`CategoryItemEntity(java.awt.Shape area, java.lang.String toolTipText, java.lang.String urlText, CategoryDataset dataset, int series, java.lang.Object category, int categoryIndex)` Creates a new category item entity.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Tests the entity for equality with an arbitrary object.
`java.lang.Object` | `getCategory()` Returns the category.
`int` | `getCategoryIndex()` Returns the category index.
`CategoryDataset` | `getDataset()` Returns the datset this entity refers to.
`int` | `getSeries()` Returns the series index.
`void` | `setCategory(java.lang.Object category)` Sets the category.
`void` | `setCategoryIndex(int index)` Sets the category index.
`void` | `setDataset(CategoryDataset dataset)` Sets the datset this entity refers to.
`void` | `setSeries(int series)` Sets the series index.
`java.lang.String` | `toString()` Returns a string representing this object (useful for debugging purposes).

Methods inherited from class org.jfree.chart.entity.ChartEntity
`clone, getArea, getImageMapAreaTag, getShapeCoords, getShapeType, getToolTipText, getURLText, setArea, setToolTipText, setURLText`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CategoryItemEntity

    public CategoryItemEntity(java.awt.Shape area,
                              java.lang.String toolTipText,
                              java.lang.String urlText,
                              CategoryDataset dataset,
                              int series,
                              java.lang.Object category,
                              int categoryIndex)

  Creates a new category item entity.

  Parameters:
    `area` - the area.
    `toolTipText` - the tool tip text.
    `urlText` - the URL text for HTML image maps.
    `dataset` - the dataset.
    `series` - the series (zero-based index).
    `category` - the category.
    `categoryIndex` - the category index.

Method Detail

### getDataset

    public CategoryDataset getDataset()

  Returns the datset this entity refers to.

  Returns:
    The dataset (possibly `null`).

### setDataset

    public void setDataset(CategoryDataset dataset)

  Sets the datset this entity refers to.

  Parameters:
    `dataset` - the dataset (`null` permited).

### getSeries

    public int getSeries()

  Returns the series index.

  Returns:
    The series index.

### setSeries

    public void setSeries(int series)

  Sets the series index.

  Parameters:
    `series` - the series index (zero-based).

### getCategory

    public java.lang.Object getCategory()

  Returns the category.

  Returns:
    The category (possibly `null`).

### setCategory

    public void setCategory(java.lang.Object category)

  Sets the category.

  Parameters:
    `category` - the category (`null` permitted).

### getCategoryIndex

    public int getCategoryIndex()

  Returns the category index.

  Returns:
    The index.

### setCategoryIndex

    public void setCategoryIndex(int index)

  Sets the category index.

  Parameters:
    `index` - the category index.

### toString

    public java.lang.String toString()

  Returns a string representing this object (useful for debugging purposes).

  Overrides:
    `toString` in class `ChartEntity`
  Returns:
    A string.

### equals

    public boolean equals(java.lang.Object obj)

  Tests the entity for equality with an arbitrary object.

  Overrides:
    `equals` in class `ChartEntity`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD